%define upstream_name    Test-PAUSE-Permissions
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tests module permissions in your distribution
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Identity)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.80.0
BuildRequires: perl(PAUSE::Permissions) >= 0.90.0
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Parse::LocalDistribution) >= 0.80.0
BuildRequires: perl(Parse::PMFile) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::UseAllModules) >= 0.100.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module is to test if modules in your distribution have proper
permissions or not. You need to set RELEASE_TESTING to test this.

If your distribution has modules/packages that should not be indexed, you
might want to generate META files before you run this test to provide
'no_index' information to Test::PAUSE::Permissions.

You might also want to prepare '.pause' file to show who is releasing the
distribution (you should have one to release distributions anyway).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-3.mga8
+ Revision: 1506508
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-2.mga7
+ Revision: 1286686
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 0.70.0-1.mga7
+ Revision: 1238939
- update to 0.07

* Mon May 09 2016 shlomif <shlomif> 0.60.0-1.mga6
+ Revision: 1011216
- Add BR and update macros
- imported package perl-Test-PAUSE-Permissions


* Mon May 09 2016 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
